Get Company Information by Domain
curl --request POST \
--url https://api.linkupapi.com/v1/data/company/info-by-domain \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"domain": "<string>"
}
'import requests
url = "https://api.linkupapi.com/v1/data/company/info-by-domain"
payload = { "domain": "<string>" }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: '<string>'})
};
fetch('https://api.linkupapi.com/v1/data/company/info-by-domain', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"name": "Apple",
"universalName": "apple",
"description": "We're a diverse collective of thinkers and doers, continually reimagining what's possible to help us all do what we love in new ways. And the same innovation that goes into our products also applies to our practices — strengthening our commitment to leave the world better than we found it. This is where your work can make a difference in people's lives. Including your own.\n\nApple is an equal opportunity employer that is committed to inclusion and diversity. Visit apple.com/careers to learn more.",
"tagline": null,
"websiteUrl": "http://www.apple.com/careers",
"industry": "Fabrication de produits informatiques et électroniques",
"employeeCount": 162425,
"employeeCountRange": {
"start": 10001,
"end": null
},
"headquarter": {
"country": "US",
"geographicArea": "California",
"city": "Cupertino",
"line2": null,
"line1": "1 Apple Park Way",
"postalCode": "95014"
},
"logoUrl": "https://media.licdn.com/dms/image/v2/C560BAQHdAaarsO-eyA/company-logo_200_200/company-logo_200_200/0/1630637844948/apple_logo?e=1756944000&v=beta&t=wLEZ5E4-Tbe_Iip10HmTOc7OWiczVhpnjeLlwBuK76s",
"coverImageUrl": null,
"callToAction": {
"displayText": "Consulter le site web",
"visible": true,
"type": "VIEW_WEBSITE",
"url": "http://www.apple.com/careers"
},
"locations": [
{
"streetAddressOptOut": false,
"description": "Corporate Headquarters",
"address": {
"country": "US",
"geographicArea": "California",
"city": "Cupertino",
"line2": null,
"line1": "1 Apple Park Way",
"postalCode": "95014"
},
"headquarter": true
}
],
"organizationType": "Entreprise cotée en bourse",
"defaultLocale": "en",
"followersCount": 17872675,
"pageMailbox": false,
"verified": true,
"linkedin_url": "https://www.linkedin.com/company/apple",
"searched_domain": "apple.com"
}
}
{
"status": "error",
"message": "Insufficient credits. Please purchase more credits to continue."
}
{
"status": "error",
"message": "Aucune page LinkedIn d'entreprise trouvée pour le domaine 'example.com'"
}
{
"status": "error",
"message": "domain is required"
}
{
"status": "error",
"message": "Service temporarily unavailable, please contact support"
}
Company API
Get Company Information by Domain
Search and extract company information from LinkedIn using a domain name
POST
/
v1
/
data
/
company
/
info-by-domain
Get Company Information by Domain
Search for a company on LinkedIn using its domain name and extract comprehensive information including description, size, locations, and other business details.
This endpoint costs 1 credits per request. Ignore this if you’re on per-seat pricing: usage is unlimited.
Header Parameters
string
required
Your API key
Body Parameters
string
required
Company domain name (e.g., “equans.com”, “stripe.com”)
Response
string
Request status (success/error)
object
Show Properties
Show Properties
string
Company name
string
Company URL identifier
string
Company description
string
Company tagline (can be null)
string
Company website URL
string
Company industry
integer
Total number of employees
object
string
Company logo URL
string
Company cover image URL (can be null)
object
array
Array of company office locations with detailed address information
string
Type of organization
string
Default locale for the company page
integer
Number of LinkedIn followers
boolean
Whether the company page has a mailbox
boolean
Whether the company page is verified
string
LinkedIn URL of the company that was found and scraped
string
The domain that was used for the search
{
"status": "success",
"data": {
"name": "Apple",
"universalName": "apple",
"description": "We're a diverse collective of thinkers and doers, continually reimagining what's possible to help us all do what we love in new ways. And the same innovation that goes into our products also applies to our practices — strengthening our commitment to leave the world better than we found it. This is where your work can make a difference in people's lives. Including your own.\n\nApple is an equal opportunity employer that is committed to inclusion and diversity. Visit apple.com/careers to learn more.",
"tagline": null,
"websiteUrl": "http://www.apple.com/careers",
"industry": "Fabrication de produits informatiques et électroniques",
"employeeCount": 162425,
"employeeCountRange": {
"start": 10001,
"end": null
},
"headquarter": {
"country": "US",
"geographicArea": "California",
"city": "Cupertino",
"line2": null,
"line1": "1 Apple Park Way",
"postalCode": "95014"
},
"logoUrl": "https://media.licdn.com/dms/image/v2/C560BAQHdAaarsO-eyA/company-logo_200_200/company-logo_200_200/0/1630637844948/apple_logo?e=1756944000&v=beta&t=wLEZ5E4-Tbe_Iip10HmTOc7OWiczVhpnjeLlwBuK76s",
"coverImageUrl": null,
"callToAction": {
"displayText": "Consulter le site web",
"visible": true,
"type": "VIEW_WEBSITE",
"url": "http://www.apple.com/careers"
},
"locations": [
{
"streetAddressOptOut": false,
"description": "Corporate Headquarters",
"address": {
"country": "US",
"geographicArea": "California",
"city": "Cupertino",
"line2": null,
"line1": "1 Apple Park Way",
"postalCode": "95014"
},
"headquarter": true
}
],
"organizationType": "Entreprise cotée en bourse",
"defaultLocale": "en",
"followersCount": 17872675,
"pageMailbox": false,
"verified": true,
"linkedin_url": "https://www.linkedin.com/company/apple",
"searched_domain": "apple.com"
}
}
{
"status": "error",
"message": "Insufficient credits. Please purchase more credits to continue."
}
{
"status": "error",
"message": "Aucune page LinkedIn d'entreprise trouvée pour le domaine 'example.com'"
}
{
"status": "error",
"message": "domain is required"
}
{
"status": "error",
"message": "Service temporarily unavailable, please contact support"
}
Use Cases
- Lead Generation: Find company information when you only have a domain name
- Competitor Research: Gather detailed information about competitors using their website domains
- Data Enrichment: Enrich your database with LinkedIn company data using domain names
- Market Research: Research companies in your target market using their domain names
Was this page helpful?